package polyglot.ext.atomjava.ast;

import polyglot.ast.Ext;
import polyglot.ext.jl.ast.AbstractExtFactory_c;

public class AtomJavaExtFactory_c extends AbstractExtFactory_c {
    AtomJavaExtFactory_c () {
        super();
    }

    public Ext extAtomicBlock() {
        Ext e = extAtomicBlockImpl();
//         if (nextExtFactory != null) {
//             Ext e2 = nextExtFactory.extAtomicBlock();
//             e = composeExts(e, e2);
//         }
        return postExtAtomicBlock(e);
    }

    public Ext postExtAtomicBlock(Ext ext) {
        return postExtStmt(ext);
    }

    public Ext extAtomicBlockImpl() {
        return extNodeImpl();
    }

    public Ext extReleaseMaybeCheck() {
        Ext e = extReleaseMaybeCheckImpl();
        return postExtReleaseMaybeCheck(e);
    }

    public Ext postExtReleaseMaybeCheck(Ext ext) {
        return postExtStmt(ext);
    }

    public Ext extReleaseMaybeCheckImpl() {
        return extNodeImpl();
    }
}
