package polyglot.ext.atomjava.runtime;

  /**********************************************************************/ 
  /*              relaunching main as AThread, not Thread               */
  /**********************************************************************/ 

final public class AMain {
  private static boolean main_created = false;
  public static boolean createdMainThread() { return main_created; }

  public static void createMainThread(AThread at) 
    throws AtomJavaCreateMainThreadException {
    if(main_created)
      throw new AtomJavaCreateMainThreadException
        ("AtomJava main thread already created!");
    main_created = true;
    at.start();
  }
}
class AtomJavaCreateMainThreadException extends Error {
  public AtomJavaCreateMainThreadException(String message) {
    super(message);
  }
}
