package polyglot.ext.atomjava.ast;

import polyglot.ext.atomjava.types.AtomJavaContext;
import polyglot.ext.atomjava.types.AtomJavaTypeSystem;
import polyglot.ext.atomjava.visit.*;
import polyglot.ext.atomjava.util.AJS;
import polyglot.ext.jl.ast.MethodDecl_c;
import polyglot.ast.*;
import polyglot.util.*;
import polyglot.types.*;
import polyglot.visit.*;

import java.util.*;

public class AtomJavaMethodDecl_c 
  extends AJAbstractMethodDecl {

  public AtomJavaMethodDecl_c(Position pos, Flags flags, 
                              TypeNode returnType, String name, 
                              List formals, List throwTypes, Block body) {
    super(pos, flags, returnType, name, formals, throwTypes, body);
  }

  public Node build(Node parent, AtomJavaBuilder ab) {
    AJAbstractMethodDecl md = 
      convertSynchronized(ab.context(), ab.nodeFactory(), ab.typeSystem());
    if(md.isMain(ab))
      return md.build_amain(ab);
    return md;
  }
  
}

