package polyglot.ext.atomjava.frontend;

import polyglot.ast.*;
import polyglot.types.*;
import polyglot.util.*;
import polyglot.frontend.*;
import polyglot.visit.*;

import polyglot.ext.jl.ast.*;
import polyglot.ext.jl.types.*;

//import polyglot.ext.atomjava.visit.DumpAst;
import polyglot.visit.DumpAst;

import java.util.*;

public class OptimizeSourceJob extends SourceJob {

  public OptimizeSourceJob(ExtensionInfo lang, JobExt ext) {
    super(lang, ext, new Source("OPTIMIZER", "<< OPTIMIZER >>", new Date()), null);

    /* override the dependents and dependencies */
    dependents = Collections.EMPTY_SET;
    dependencies = Collections.EMPTY_SET;
  }

  public List getPasses() {
    return ((polyglot.ext.atomjava.ExtensionInfo)lang).optimizePasses(this);
  }

  public void addDependent(Source s) {
    return;
  }
  
  public void addDependency(Source s) {
    return;
  }
}
